Subject: Re: question on microloops

From: Curtis Villamizar <[email-masked]>
Date: Tue, 02 Aug 2005 14:15:51 -0400

In message <[email-masked]>
"Alok" writes:
>  
> Hi,
>  
> > ============================================
> >
> > The only other question I have from the thread that I have been following
> is
> > a comment from Russ White:
> >
> > " I understand the difference if these are your actual definitions (though
> > they need to be clarified in the doc), but I don't see how you can tell
> > the difference between the two. Either a neighbor's path is loop free,
> > which means their metric is lower than yours--and in that case, they
> > won't be using you as their next hop. Or, you don't know if it's loop
> > free or not, because your neigbor is using you as their next hop. "
> >
> > My question:
> > What do you do incase there are negative "edges/arcs" in the graph/the
> > metrics associated with a prefix is lowered?
>  
> Well, negative link metrics don't work with the Dijkstra SPF
> algorithm, so I'm not sure what you're asking here.
>  
>  
> ==>
>  
> I just wanted to know if the same can be detected or not.
>  
> As long as you know each Node that the message/routing update
> for example:
> G(N,A) nodes x and y, y originates the message/prefix
>  
> if the "routing update message" /TLV contains the information of nodes that
> the message has passed example: n1,n2,n3,n4,n5,n1,n2,n7... then simply
> examining the list of n1,n2,n3,n4 ...and so that the message has traversed
> is sufficient to know that there is a loop, for example the above shows that
> n1 and n2 has been traversed twice and hence there is a possible negative
> arc.
>  
> I am not asking about "using negative arcs", I am specifically asking if it
> is possible to detect the same in all cases.
>  
> or example if an operator on a node N1 chooses to say "always prefer link1
> to this destination "Foo", it may be plausible for those nodes which can get
> a loop free path via  N1 to foo, to use that path.
>  
> That is all i wanted to clarify,
>  
> -thanks
> Alok

FYI- Metrics in ISIS and costs in OSPF are unsigned integers.  There
is no way to signal a "negative arc" in either link state protocol.

If a local node changes the metric being used from that which was
signaled and ends up with a negative number that's a local matter (and
should be considered a bug in the local implementation).

Curtis

_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion